Package ch.qos.logback.core.joran.spi

## Enum ConsoleTarget

- java.lang.Object
- - java.lang.Enum<ConsoleTarget>
  - - ch.qos.logback.core.joran.spi.ConsoleTarget

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<ConsoleTarget>`

    public enum ConsoleTarget
    extends java.lang.Enum<ConsoleTarget>

The set of console output targets.

Author:
  Ruediger Dohna, Ceki Gülcü, Tom SH Liu, David Roussel

### Enum Constant Summary

Enum Constants
`SystemErr`
`SystemOut`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ConsoleTarget` `findByName​(java.lang.String name)`
`java.lang.String` `getName()`
`java.io.OutputStream` `getStream()`
`java.lang.String` `toString()`
`static ConsoleTarget` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ConsoleTarget[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SystemOut

    public static final ConsoleTarget SystemOut

#### SystemErr

    public static final ConsoleTarget SystemErr

### Method Detail

#### values

    public static ConsoleTarget[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ConsoleTarget c : ConsoleTarget.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ConsoleTarget valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### findByName

    public static ConsoleTarget findByName​(java.lang.String name)

#### getName

    public java.lang.String getName()

#### getStream

    public java.io.OutputStream getStream()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Enum<ConsoleTarget>`